Temso API

Get raw source citations

GET
/projects/{projectId}/sources

Path Parameters

projectId*string

Query Parameters

filter*
page?integer

Page number (1-indexed, default: 1)

Default1
Range1 <= value
limit?integer

Items per page (default: 50, max: 1000)

Default50
Range1 <= value <= 1000

Response Body

application/json

curl -X GET "https://example.com/projects/string/sources?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt%2Cx-ai%2Fgrok-search&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BbrandIds%5D=string"
{
  "data": [
    {
      "responseId": "string",
      "url": "string",
      "domain": "string",
      "position": 0,
      "type": "string",
      "domainRank": 0,
      "urlRank": 0,
      "createdAt": "string"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0
  }
}